# PhasicFlow: src/phasicFlow/containers/pointField/internalField/internalFieldAlgorithms.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

internalFieldAlgorithms.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

template<class T , class MemorySpace >
T | min (const internalField< T, MemorySpace > &iField)
template<class T , class MemorySpace >
T | max (const internalField< T, MemorySpace > &iField)
template<class T , class MemorySpace >
Pair< T, T > | minMax (const internalField< T, MemorySpace > &iField)
template<class T , class MemorySpace >
void | fillSequence (internalField< T, MemorySpace > &iField, const T &startVal)